| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Overview

## Functions
int | XDfePrach_2CC3RCDynamicTestExample ()
| This example runs the DFE Prach device using the driver APIs. More...
int | XDfePrach_2CC3RCTestExample ()
| This example runs the DFE Prach device using the driver APIs. More...
int | XDfePrach_2CC3RCReconfigureTestExample ()
| This example runs the DFE Prach device using the driver APIs. More...
int | XDfePrach_SelfTestExample ()
| This example runs the DFE Prach device using the driver APIs. More...

## Function Documentation

int XDfePrach_2CC3RCDynamicTestExample | ( |  | ) |

This example runs the DFE Prach device using the driver APIs.

The example goes through the following steps:

- Create and system initialize the device driver instance.
- Read SW and HW version numbers.
- Reset the device.
- Configure the device.
- Initialize the device.
- Activate the device.
- Get current Component Carrier (CC) configuration.
- Get current RACH Channel (RC) configuration.
- add 2 Component Carriers: CCID={5,3}
- add 3 RACH Channel: RCID={2,4,6}
- Trigger configuration update.
- Deactivate the device.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.//! [testexample4]

References XDfePrach_TriggerCfg::Activate, XDfePrach_DDCCfg::DecimationRate, XDfePrach_NCO::DualModCount, XDfePrach_NCO::DualModSel, XDfePrach_Schedule::Duration, XDfePrach_Init::EnableStaticSchedule, XDfePrach_Schedule::FrameID, XDfePrach_TriggerCfg::FrameInit, XDfePrach_CCSequence::Length, XDfePrach_Version::Major, XDfePrach_Version::Minor, XDfePrach_Trigger::Mode, XDfePrach_Cfg::ModelParams, XDfePrach_NCO::NcoGain, XDfePrach_ModelParameters::NumAntennaSlots, XDfePrach_Version::Patch, XDfePrach_Schedule::PatternPeriod, XDfePrach_NCO::PhaseAcc, XDfePrach_NCO::PhaseOffset, XDfePrach_DDCCfg::RachGain, XDfePrach_TriggerCfg::RachUpdate, XDfePrach_StatusMask::RachUpdate, XDfePrach_Schedule::Repeats, XDfePrach_Version::Revision, XDfePrach_CarrierCfg::SCS, XDfePrach_Init::Sequence, XDfePrach_Schedule::SlotId, XDfePrach_Trigger::StateOutput, XDfePrach_Schedule::SubframeID, XDfePrach_Trigger::TUSERBit, XDfePrach_Trigger::TuserEdgeLevel, XDfePrach_NCO::UserFreq, XDfePrach_DDCCfg::UserSCS, XDfePrach_Activate(), XDfePrach_AddCCtoCCCfg(), XDfePrach_AddRCtoRCCfg(), XDfePrach_ClearEventStatus(), XDfePrach_Configure(), XDfePrach_Deactivate(), XDfePrach_GetEmptyCCCfg(), XDfePrach_GetEmptyRCCfg(), XDfePrach_GetVersions(), XDfePrach_Initialize(), XDfePrach_InstanceClose(), XDfePrach_InstanceInit(), XDfePrach_Reset(), XDfePrach_SetNextCfg(), XDfePrach_SetTriggersCfg(), XST_FAILURE, and XST_SUCCESS.

Referenced by main().

int XDfePrach_2CC3RCReconfigureTestExample | ( |  | ) |

This example runs the DFE Prach device using the driver APIs.

The example goes through the following steps:

- Create and system initialize the device driver instance.
- Read SW and HW version numbers.
- Reset the device.
- Configure the device.
- Initialize the device.
- Activate the device.
- Get current Component Carrier (CC) configuration.
- Get current RACH Channel (RC) configuration.
- add 2 Component Carriers: CCID={5,3}
- add 3 RACH Channel: RCID={2,4,6}
- remove one RACH Channel
- configure and add new RACH channel
- Trigger configuration update.
- Deactivate the device.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.//! [testexample3]

References XDfePrach_TriggerCfg::Activate, XDfePrach_DDCCfg::DecimationRate, XDfePrach_NCO::DualModCount, XDfePrach_NCO::DualModSel, XDfePrach_Schedule::Duration, XDfePrach_Schedule::FrameID, XDfePrach_TriggerCfg::FrameInit, XDfePrach_CCSequence::Length, XDfePrach_Version::Major, XDfePrach_Version::Minor, XDfePrach_Trigger::Mode, XDfePrach_Cfg::ModelParams, XDfePrach_NCO::NcoGain, XDfePrach_ModelParameters::NumAntennaSlots, XDfePrach_Version::Patch, XDfePrach_Schedule::PatternPeriod, XDfePrach_NCO::PhaseAcc, XDfePrach_NCO::PhaseOffset, XDfePrach_DDCCfg::RachGain, XDfePrach_TriggerCfg::RachUpdate, XDfePrach_StatusMask::RachUpdate, XDfePrach_Schedule::Repeats, XDfePrach_Version::Revision, XDfePrach_CarrierCfg::SCS, XDfePrach_Init::Sequence, XDfePrach_Schedule::SlotId, XDfePrach_Trigger::StateOutput, XDfePrach_Schedule::SubframeID, XDfePrach_Trigger::TUSERBit, XDfePrach_Trigger::TuserEdgeLevel, XDfePrach_NCO::UserFreq, XDfePrach_DDCCfg::UserSCS, XDfePrach_Activate(), XDfePrach_AddCCtoCCCfg(), XDfePrach_AddRCtoRCCfg(), XDfePrach_ClearEventStatus(), XDfePrach_Configure(), XDfePrach_Deactivate(), XDfePrach_GetEmptyCCCfg(), XDfePrach_GetEmptyRCCfg(), XDfePrach_GetVersions(), XDfePrach_Initialize(), XDfePrach_InstanceClose(), XDfePrach_InstanceInit(), XDfePrach_RemoveRCfromRCCfg(), XDfePrach_Reset(), XDfePrach_SetNextCfg(), XDfePrach_SetTriggersCfg(), XST_FAILURE, and XST_SUCCESS.

Referenced by main().

int XDfePrach_2CC3RCTestExample | ( |  | ) |

This example runs the DFE Prach device using the driver APIs.

The example goes through the following steps:

- Create and system initialize the device driver instance.
- Read SW and HW version numbers.
- Reset the device.
- Configure the device.
- Initialize the device.
- Activate the device.
- Get current Component Carrier (CC) configuration.
- Get current RACH Channel (RC) configuration.
- add 2 Component Carriers: CCID={5,3}
- add 3 RACH Channel: RCID={2,4,6}
- Trigger configuration update.
- Deactivate the device.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.//! [testexample2]

References XDfePrach_TriggerCfg::Activate, XDfePrach_DDCCfg::DecimationRate, XDfePrach_NCO::DualModCount, XDfePrach_NCO::DualModSel, XDfePrach_Schedule::Duration, XDfePrach_Schedule::FrameID, XDfePrach_TriggerCfg::FrameInit, XDfePrach_CCSequence::Length, XDfePrach_Version::Major, XDfePrach_Version::Minor, XDfePrach_Trigger::Mode, XDfePrach_Cfg::ModelParams, XDfePrach_NCO::NcoGain, XDfePrach_ModelParameters::NumAntennaSlots, XDfePrach_Version::Patch, XDfePrach_Schedule::PatternPeriod, XDfePrach_NCO::PhaseAcc, XDfePrach_NCO::PhaseOffset, XDfePrach_DDCCfg::RachGain, XDfePrach_TriggerCfg::RachUpdate, XDfePrach_StatusMask::RachUpdate, XDfePrach_Schedule::Repeats, XDfePrach_Version::Revision, XDfePrach_CarrierCfg::SCS, XDfePrach_Init::Sequence, XDfePrach_Schedule::SlotId, XDfePrach_Trigger::StateOutput, XDfePrach_Schedule::SubframeID, XDfePrach_Trigger::TUSERBit, XDfePrach_Trigger::TuserEdgeLevel, XDfePrach_NCO::UserFreq, XDfePrach_DDCCfg::UserSCS, XDfePrach_Activate(), XDfePrach_AddCCtoCCCfg(), XDfePrach_AddRCtoRCCfg(), XDfePrach_ClearEventStatus(), XDfePrach_Configure(), XDfePrach_Deactivate(), XDfePrach_GetEmptyCCCfg(), XDfePrach_GetEmptyRCCfg(), XDfePrach_GetVersions(), XDfePrach_Initialize(), XDfePrach_InstanceClose(), XDfePrach_InstanceInit(), XDfePrach_Reset(), XDfePrach_SetNextCfg(), XDfePrach_SetTriggersCfg(), XST_FAILURE, and XST_SUCCESS.

Referenced by main().

int XDfePrach_SelfTestExample | ( |  | ) |

This example runs the DFE Prach device using the driver APIs.

The example goes through the following steps:

- Create and system initialize the device driver instance.
- Read SW and HW version numbers.
- Reset the device.
- Configure the device.
- Initialize the device.
- Activate the device.
- Deactivate the device.

Returns
  - XST_SUCCESS if the example has completed successfully.
  - XST_FAILURE if the example has failed.//! [testexample1]

References XDfePrach_Version::Major, XDfePrach_Version::Minor, XDfePrach_Version::Patch, XDfePrach_Version::Revision, XDfePrach_Activate(), XDfePrach_Configure(), XDfePrach_Deactivate(), XDfePrach_GetVersions(), XDfePrach_Initialize(), XDfePrach_InstanceClose(), XDfePrach_InstanceInit(), XDfePrach_Reset(), XST_FAILURE, and XST_SUCCESS.

Referenced by main().